Bug 18208 - Проблема зависимостей qmmp
: Проблема зависимостей qmmp
Status: CLOSED DUPLICATE of bug 18199
: Sisyphus
(All bugs in Sisyphus/qmmp)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-12-15 07:50 by
Modified: 2008-12-15 11:04 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-12-15 07:50:56
[root@localhost ~]# apt-get --yes update; apt-get --yes dist-upgrade;
Получено: 1 ftp://ftp.altlinux.org i586 release [745B]
Получено: 2 ftp://ftp.altlinux.org noarch release [743B]
Получено 1488B за 0s (2003B/s).
Получено: 1 ftp://ftp.altlinux.org i586/classic pkglist [2675kB]
Найдено ftp://ftp.altlinux.org i586/classic release
Получено: 2 ftp://ftp.altlinux.org noarch/classic pkglist [1323kB]
Найдено ftp://ftp.altlinux.org noarch/classic release
Получено 3997kB за 7s (532kB/s).
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
You might want to run `apt-get --fix-broken install' to correct these.
Следующие пакеты имеют неудовлетворенные зависимости:
  qmmp-dbuscontrol: Требует: qmmp (= 0.2.3-alt2)
  qmmp-eff-srconverter: Требует: qmmp (= 0.2.3-alt2)
  qmmp-in-ffmpeg: Требует: qmmp (= 0.2.3-alt2)
  qmmp-in-flac: Требует: qmmp (= 0.2.3-alt2)
  qmmp-in-modplug: Требует: qmmp (= 0.2.3-alt2)
  qmmp-in-musepack: Требует: qmmp (= 0.2.3-alt2)
  qmmp-in-sndfile: Требует: qmmp (= 0.2.3-alt2)
  qmmp-in-wavpack: Требует: qmmp (= 0.2.3-alt2)
  qmmp-notifier: Требует: qmmp (= 0.2.3-alt2)
  qmmp-out-jack: Требует: qmmp (= 0.2.3-alt2)
  qmmp-out-oss: Требует: qmmp (= 0.2.3-alt2)
  qmmp-out-pulseaudio: Требует: qmmp (= 0.2.3-alt2)
  qmmp-scrobbler: Требует: qmmp (= 0.2.3-alt2)
  qmmp-statusicon: Требует: qmmp (= 0.2.3-alt2)
  qmmp-vis-analyzer: Требует: qmmp (= 0.2.3-alt2)
E: Unmet dependencies. Try using --fix-broken.
[root@localhost ~]# apt-get remove qmmp
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
You might want to run `apt-get --fix-broken install' to correct these:
Следующие пакеты имеют неудовлетворенные зависимости:
  qmmp-dbuscontrol: Требует: qmmp (= 0.2.3-alt2)
                    Требует: libqmmpui.so.0
  qmmp-eff-srconverter: Требует: qmmp (= 0.2.3-alt2)
                        Требует: libqmmp.so.0
  qmmp-full: Требует: qmmp
  qmmp-in-ffmpeg: Требует: qmmp (= 0.2.3-alt2)
                  Требует: libqmmp.so.0
  qmmp-in-flac: Требует: qmmp (= 0.2.3-alt2)
                Требует: libqmmp.so.0
  qmmp-in-modplug: Требует: qmmp (= 0.2.3-alt2)
                   Требует: libqmmp.so.0
  qmmp-in-musepack: Требует: qmmp (= 0.2.3-alt2)
                    Требует: libqmmp.so.0
  qmmp-in-sndfile: Требует: qmmp (= 0.2.3-alt2)
                   Требует: libqmmp.so.0
  qmmp-in-wavpack: Требует: qmmp (= 0.2.3-alt2)
                   Требует: libqmmp.so.0
  qmmp-notifier: Требует: qmmp (= 0.2.3-alt2)
                 Требует: libqmmpui.so.0
  qmmp-out-jack: Требует: qmmp (= 0.2.3-alt2)
                 Требует: libqmmp.so.0
  qmmp-out-oss: Требует: qmmp (= 0.2.3-alt2)
                Требует: libqmmp.so.0
  qmmp-out-pulseaudio: Требует: qmmp (= 0.2.3-alt2)
                       Требует: libqmmp.so.0
  qmmp-scrobbler: Требует: qmmp (= 0.2.3-alt2)
                  Требует: libqmmpui.so.0
  qmmp-statusicon: Требует: qmmp (= 0.2.3-alt2)
                   Требует: libqmmpui.so.0
  qmmp-vis-analyzer: Требует: qmmp (= 0.2.3-alt2)
                     Требует: libqmmp.so.0
E: Unmet dependencies. Try 'apt-get --fix-broken install' with no packages (or
specify a solution).
[root@localhost ~]#
[root@localhost ~]# apt-get --fix-broken install
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Исправление зависимостей... Завершено
Следующие дополнительные пакеты будут установлены:
  qmmp
Следующие пакеты будут ОБНОВЛЕНЫ:
  qmmp
1 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 80 не будет
обновлено.
Необходимо получить 0B/570kB архивов.
После распаковки потребуется дополнительно 0B дискового пространства.
Продолжить? [Y/n] y
Совершаем изменения...
Preparing...                                    
###################################################################################################
[100%]
1: qmmp                                          error: unpacking of archive
failed on file /usr/share/qmmp/skins: cpio: rename failed - Это каталог ( 99%)
E: Произошли ошибки при выполнении транзакции
[root@localhost ~]#
------- Comment #1 From 2008-12-15 11:03:43 -------

*** This bug has been marked as a duplicate of bug 18199 ***